import { NodeAnnotation, NodeAnnotationTypeEnum } from './node-annotation.abstract';
import { AnnotationStyle, RTERenderContext } from '../../interface';
import { Nullable } from '../../../../types/general';
/**
 * Annotation to make text Italic
 */
export declare class ItalicAnnotation extends NodeAnnotation {
  readonly type: NodeAnnotationTypeEnum;
  italic: boolean;
  constructor(italic: boolean);
  /**
   * Generate the map item for the annotation
   *
   * @param {boolean} italic - Italic annotation
   * @returns {[NodeAnnotationTypeEnum.ITALIC, ItalicAnnotation]} Map item for the annotation
   */
  static from(italic: boolean): [NodeAnnotationTypeEnum.ITALIC, ItalicAnnotation];
  /**
   * Generate the JSON representation of the annotation
   *
   * @returns {Record<string, unknown>} JSON representation of the annotation
   */
  toJSON(): Record<string, unknown>;
  /**
   * @inheritDoc
   */
  clone(): ItalicAnnotation;
  /**
   * @inheritDoc
   */
  renderClass(options?: RTERenderContext): Nullable<string>;
  /**
   * @inheritDoc
   */
  renderStyle(options?: RTERenderContext): Nullable<AnnotationStyle>;
}
